import { ElementRef, OnChanges, OnInit, SimpleChanges, Renderer2, AfterViewInit, OnDestroy } from '@angular/core';
import { AndroidData, IOSData, Shape } from '@imagene.me/nativescript-shadow';
import * as i0 from "@angular/core";
export declare class NativeShadowDirective implements OnInit, OnChanges, AfterViewInit, OnDestroy {
    private el;
    private render;
    shadow: string | AndroidData | IOSData;
    elevation?: number | string;
    pressedElevation?: number | string;
    shape?: Shape;
    bgcolor?: string;
    cornerRadius?: number | string;
    translationZ?: number | string;
    pressedTranslationZ?: number | string;
    forcePressAnimation?: boolean;
    maskToBounds?: boolean;
    shadowColor?: string;
    shadowOffset?: number | string;
    shadowOpacity?: number | string;
    shadowRadius?: number | string;
    useShadowPath?: boolean;
    rasterize?: boolean;
    private loaded;
    private initialized;
    private originalNSFn;
    private previousNSFn;
    private iosShadowRapper;
    private eventsBound;
    constructor(el: ElementRef, render: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    bindEvents(): void;
    unbindEvents(): void;
    onLoaded(): void;
    private addIosWrapper;
    onUnloaded(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private monkeyPatch;
    private applyShadow;
    private initializeCommonData;
    private initializeAndroidData;
    private initializeIOSData;
    private loadFromAndroidData;
    private loadFromIOSData;
    private cloneViewPositionProperties;
    static ɵfac: i0.ɵɵFactoryDeclaration<NativeShadowDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NativeShadowDirective, "[shadow]", never, { "shadow": "shadow"; "elevation": "elevation"; "pressedElevation": "pressedElevation"; "shape": "shape"; "bgcolor": "bgcolor"; "cornerRadius": "cornerRadius"; "translationZ": "translationZ"; "pressedTranslationZ": "pressedTranslationZ"; "forcePressAnimation": "forcePressAnimation"; "maskToBounds": "maskToBounds"; "shadowColor": "shadowColor"; "shadowOffset": "shadowOffset"; "shadowOpacity": "shadowOpacity"; "shadowRadius": "shadowRadius"; "useShadowPath": "useShadowPath"; "rasterize": "rasterize"; }, {}, never>;
}
